IcedTea-Web Plugin

## sun.applet
Class PluginProxySelector

    java.lang.Object
      java.net.ProxySelector
          net.sourceforge.jnlp.runtime.JNLPProxySelector
              sun.applet.PluginProxySelector

    public class PluginProxySelector

extends net.sourceforge.jnlp.runtime.JNLPProxySelector

Proxy selector implementation for plugin network functions. This class fetches proxy information from the web browser and uses that information in the context of all network connection (plugin specific and applet connections) as applicable

Field Summary

Fields inherited from class net.sourceforge.jnlp.runtime.JNLPProxySelector
`FALLBACK_PROXY_PORT, PROXY_TYPE_AUTO, PROXY_TYPE_BROWSER, PROXY_TYPE_MANUAL, PROXY_TYPE_NONE, PROXY_TYPE_UNKNOWN`

Constructor Summary
`PluginProxySelector()`

Method Summary
`protected java.util.List<java.net.Proxy>` `getFromBrowser(java.net.URI uri)` Selects the appropriate proxy (or DIRECT connection method) for the given URI

Methods inherited from class net.sourceforge.jnlp.runtime.JNLPProxySelector
`connectFailed, getFromPAC, getProxiesFromPacResult, select`

Methods inherited from class java.net.ProxySelector
`getDefault, setDefault`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginProxySelector

    public PluginProxySelector()

Method Detail

### getFromBrowser

    protected java.util.List<java.net.Proxy> getFromBrowser(java.net.URI uri)

  Selects the appropriate proxy (or DIRECT connection method) for the given URI

  Specified by:
    `getFromBrowser` in class `net.sourceforge.jnlp.runtime.JNLPProxySelector`
  Parameters:
    `uri` - The URI being accessed
  Returns:
    A list of Proxy objects that are usable for this URI

IcedTea-Web Plugin

Submit a bug or feature